BARECTF(1)

NAME
barectf - Generate C99 code that can write native CTF packets

SYNOPSIS
barectf COMMAND COMMAND-ARGS

DESCRIPTION

The barectf command generates C99 code, that itself can write Common Trace Format <http://diamon.org/ctf> packets natively, out of a YAML configuration input file. The full documentation of barectf is available on the project’s website <http://barectf.org>.

OPTIONS

-h, --help
    Show this help and quit

-V, --version
    Show version and quit

COMMANDS

gen, generate
    Generate the C source and CTF metadata stream files of a tracer from a configuration file.

show-effective-configuration, show-effective-config, show-effective-cfg
    Print the effective configuration file for a given configuration file and inclusion directories.

show-configuration-version, show-config-version, show-cfg-version
    Print the major version of a given configuration file.

Run `barectf COMMAND --help` to show the help of COMMAND.